Page 1 of 4 123 ... LastLast
Results 1 to 10 of 32

Thread: Is Synaptic Available for v16.04 LTS?

  1. #1
    Join Date
    Mar 2010
    Location
    undisclosed
    Beans
    Hidden!
    Distro
    Ubuntu Studio

    Is Synaptic Available for v16.04 LTS?

    I remember a while back after first upgrading to v16.04, we the community had trouble installing Synaptic Package Manager.

    Tried again, it installed, here is the terminal output;

    Code:
    5723:/$ sudo apt-get install synaptic
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following additional packages will be installed:
      libept1.5.0
    Suggested packages:
      dwww deborphan
    The following NEW packages will be installed:
      libept1.5.0 synaptic
    0 upgraded, 2 newly installed, 0 to remove and 3 not upgraded.
    Need to get 0 B/1,431 kB of archives.
    After this operation, 7,376 kB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Selecting previously unselected package libept1.5.0:amd64.
    (Reading database ... 344990 files and directories currently installed.)
    Preparing to unpack .../libept1.5.0_1.1+nmu3_amd64.deb ...
    Unpacking libept1.5.0:amd64 (1.1+nmu3) ...
    Selecting previously unselected package synaptic.
    Preparing to unpack .../synaptic_0.83_amd64.deb ...
    Unpacking synaptic (0.83) ...
    Processing triggers for libc-bin (2.23-0ubuntu9) ...
    /sbin/ldconfig.real: /usr/lib/nvidia-375/libEGL.so.1 is not a symbolic link
    
    /sbin/ldconfig.real: /usr/lib32/nvidia-375/libEGL.so.1 is not a symbolic link
    
    Processing triggers for man-db (2.7.5-1) ...
    Processing triggers for menu (2.1.47ubuntu1) ...
    Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
    Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
    Processing triggers for mime-support (3.59ubuntu1) ...
    Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
    Setting up libept1.5.0:amd64 (1.1+nmu3) ...
    Setting up synaptic (0.83) ...
    Processing triggers for libc-bin (2.23-0ubuntu9) ...
    /sbin/ldconfig.real: /usr/lib/nvidia-375/libEGL.so.1 is not a symbolic link
    
    /sbin/ldconfig.real: /usr/lib32/nvidia-375/libEGL.so.1 is not a symbolic link
    
    Processing triggers for menu (2.1.47ubuntu1) ...
    5723:/$

    but get the following ERROR message when it comes up!

    E: The value 'trusty' is invalid for APT:: Default-Release as such a release is not available in the sources
    E: _cache->open() failed, please report.
    Any ideas? Is it still not available for v16.04 LTS? It seems some people were successful (see https://askubuntu.com/q/805430).

    And if not, how can we check that all depedencies are installed for any particular program or to remove any program, etc.

    Thanks!
    Rick
    Last edited by Rick St. George; July 15th, 2017 at 04:37 PM.

  2. #2
    Join Date
    Dec 2007
    Beans
    12,533

    Re: Is Synaptic Available for v16.04 LTS?

    It's available!

    Code:
    $ apt policy synaptic
    synaptic:
      Installed: 0.83
      Candidate: 0.83
      Version table:
     *** 0.83 500
            500 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
            100 /var/lib/dpkg/status
    $
    I've never had issues installing Synaptic Package Manager.

    Your askubuntu links points to enabling Universe. Simple as that.
    Last edited by vasa1; July 15th, 2017 at 04:38 PM.

  3. #3
    Join Date
    Mar 2010
    Location
    undisclosed
    Beans
    Hidden!
    Distro
    Ubuntu Studio

    Re: Is Synaptic Available for v16.04 LTS?

    Universe is enabled. Not simple as that !?!?!?

  4. #4
    Join Date
    Dec 2007
    Beans
    12,533

    Re: Is Synaptic Available for v16.04 LTS?

    Quote Originally Posted by Rick St. George View Post
    Universe is enabled. Not simple as that !?!?!?
    In your case apparently.
    Code:
    0 upgraded, 2 newly installed, 0 to remove and 3 not upgraded.
    Let's see the output from
    Code:
    sudo apt-get update
    and
    Code:
    sudo apt-get upgrade
    and
    Code:
    grep -Ev '(^#|^ *$|deb-src)' /etc/apt/sources.list /etc/apt/sources.list.d/*
    Last edited by vasa1; July 15th, 2017 at 05:57 PM.

  5. #5
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    12,275
    Distro
    Ubuntu

    Re: Is Synaptic Available for v16.04 LTS?

    Your problem is this problem:
    https://answers.launchpad.net/ubuntu/+question/255926
    just change out the references of saucy and trusty to trusty and xenial.
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  6. #6
    Join Date
    Aug 2013
    Beans
    4,709

    Re: Is Synaptic Available for v16.04 LTS?

    Did you upgrade from 14.04?
    E: The value 'trusty' is invalid for APT:: Default-Release as such a release is not available in the sources
    Seems that your sources has been messed up somehow.
    Code:
    gksudo gedit /etc/apt/sources.list
    Change all occurrences of trusty to xenial

    Then

    Code:
    sudo apt update
    
    sudo apt install synaptic
    Last edited by monkeybrain20122; July 15th, 2017 at 06:04 PM.

  7. #7
    Join Date
    Dec 2007
    Beans
    12,533

    Re: Is Synaptic Available for v16.04 LTS?

    Quote Originally Posted by deadflowr View Post
    Your problem is this problem:
    https://answers.launchpad.net/ubuntu/+question/255926
    just change out the references of saucy and trusty to trusty and xenial.
    Interesting! So this problem carried over to the trusty / xenial as well!

    Should OP also run
    Code:
    sudo rm /etc/apt/apt.conf
    as stated in comment #8?

  8. #8
    Join Date
    Apr 2011
    Location
    Mystletainn Kick!
    Beans
    12,275
    Distro
    Ubuntu

    Re: Is Synaptic Available for v16.04 LTS?

    Quote Originally Posted by vasa1 View Post
    Interesting! So this problem carried over to the trusty / xenial as well!

    Should OP also run
    Code:
    sudo rm /etc/apt/apt.conf
    as stated in comment #8?
    I would think that would be a first step.
    If nothing comes of it, then we'll look at other things...
    Splat Double Splat Triple Splat
    Earn Your Keep
    Don't mind me, I'm only passing through.
    Once in a blue moon, I'm actually helpful
    .

  9. #9
    Join Date
    May 2014
    Location
    /home
    Beans
    9,508
    Distro
    Ubuntu 18.04 Bionic Beaver

    Re: Is Synaptic Available for v16.04 LTS?

    What is the result for
    Code:
    ls /usr/lib/nvidia-375

  10. #10
    Join Date
    Mar 2010
    Location
    undisclosed
    Beans
    Hidden!
    Distro
    Ubuntu Studio

    Re: Is Synaptic Available for v16.04 LTS?

    output of sources.list

    Code:
    # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
    # newer versions of the distribution.
    ###### Ubuntu Main Repos
    deb http://archive.ubuntu.com/ubuntu/ xenial main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu/ xenial main restricted universe multiverse
    
    ###### Ubuntu Update Repos
    deb http://archive.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
    deb http://archive.ubuntu.com/ubuntu/ xenial-updates main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
    deb-src http://archive.ubuntu.com/ubuntu/ xenial-updates main restricted universe multiverse
    # deb http://download.bitdefender.com/repos/deb/ bitdefender non-free
    
    ###### Ubuntu Partner Repo
    deb http://archive.canonical.com/ubuntu xenial partner
    deb-src http://archive.canonical.com/ubuntu xenial partner
    # deb-src http://deb.opera.com/opera-stable/ stable non-free

Page 1 of 4 123 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •